INTR(8)

NAME
intr - allow a command to be interruptible

SYNOPSIS
intr [ -anv ] [ -t seconds ] command [ arguments ]

DESCRIPTION
intr executes command after altering the execution environment to make command to be interrutable.

Since interactive commands are by default interruptable, intr is intended for use as a wrapper around commands started by the /etc/rc files; commands spawned from these files are not interruptable by default. It has no other intended use than as a wrapper around /etc/rc commands.

The following signals are ignored as a result of wrapping intr around a command:

    SIGTSTP
        terminal generated stop signal

    SIGTTIN
        background read

    SIGTTOU
        background write

The following signals are reset to their default actions:

    SIGINT
        interrupt signal

    SIGQUIT
        quit signal

OPTIONS

-v  Echo the command in the form ' command' (note leading SPACE).

-a  Echo the command and its arguments.

-n  Do not echo a NEWLINE after the command or arguments (for example `echo -n ...').

-t secs
    Arrange to have a SIGALRM signal delivered to the command in secs seconds.

EXAMPLES

All of these examples assume that they are in an /etc/rc file, that is, talking to the console, and not run interactively. The following example runs fsck(8) but allow it to be killed from the console:

    intr fsck -p -w / /usr

Echoing is provided so that

    ypbind; echo -n ' ypbind'

can be replaced with

    intr -vn ypbind

Timeouts are provided so that the machine will not hang at boot:

    intr -t 10 rdate date_host

SEE ALSO
echo(1V), login(1), init(8), rc(8)

BUGS

The -v option is a kludge.